﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d"
             xmlns:ThinkGeoUI="clr-namespace:ThinkGeo.UI.XamarinForms;assembly=ThinkGeo.UI.XamarinForms"
             x:Class="ThinkGeo.UI.XamarinForms.HowDoI.SampleTemplate">
    <ContentPage.Content>
        <StackLayout>
            <!-- Use frame for samples with no controls -->
            <!--<Frame HasShadow="False">
                <Label x:Name="descriptionLabel"
                       FontSize="Subtitle"
                       VerticalOptions="Center"
                       HorizontalOptions="StartAndExpand"/>
            </Frame>-->
            <!-- Expander is used for samples with controls -->
            <Expander>
                <!-- Sample Description -->
                <Expander.Header>
                    <StackLayout Orientation="Horizontal" Padding="8">
                        <Label x:Name="descriptionLabel"
                               FontSize="Subtitle"
                               VerticalOptions="Center"
                               HorizontalOptions="StartAndExpand"/>
                        <BoxView Color="LightGray"
                                 WidthRequest="1"
                                 VerticalOptions="Center"
                                 HorizontalOptions="Center"/>
                        <Image Source="chevron_down.png" HeightRequest="44" VerticalOptions="Start" HorizontalOptions="End">
                            <Image.Triggers>
                                <DataTrigger TargetType="Image"
                                             Binding="{Binding Source={RelativeSource AncestorType={x:Type Expander}}, Path=IsExpanded}"
                                             Value="True">
                                    <Setter Property="Rotation"
                                            Value="180"/>
                                </DataTrigger>
                            </Image.Triggers>
                        </Image>
                    </StackLayout>
                </Expander.Header>

                <!-- Sample Controls -->
                <Expander.Content>
                    <Grid Grid.Column="1" Grid.Row="0">
                        <Label Grid.Column="1" Grid.Row="1" Text="Numerical Value:" VerticalOptions="Center" FontAttributes="Bold"></Label>
                        <Entry Grid.Column="2" Grid.Row="1" x:Name="numericalEntry" Text="1000" MinimumWidthRequest="64" Keyboard="Numeric"></Entry>
                        
                        <Button Grid.Column="1" Grid.Row="2" Grid.ColumnSpan="2" x:Name="button" Text="Button" Clicked="button_Clicked"></Button>
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="5" />
                            <ColumnDefinition Width="2*" />
                            <ColumnDefinition Width="*" />
                            <ColumnDefinition Width="5" />
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="Auto"/>
                            <RowDefinition Height="Auto"/>
                            <RowDefinition Height="Auto"/>
                            <RowDefinition/>
                        </Grid.RowDefinitions>
                    </Grid>
                </Expander.Content>
            </Expander>

            <!-- Map Control -->
            <ThinkGeoUI:MapView  x:Name="mapView" VerticalOptions="FillAndExpand"></ThinkGeoUI:MapView>

        </StackLayout>
    </ContentPage.Content>
</ContentPage>
